org.apache.http.conn.routing

## Interface HttpRouteDirector

- 所有已知实现类：
    BasicRouteDirector

      public interface HttpRouteDirector

  提供建立路线的方向。 该接口的实现将计划的路由与跟踪路由进行比较，并指示所需的下一步。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMPLETE` 表示路由完成。
    `static int` | `CONNECT_PROXY` 步骤：打开连接到代理。
    `static int` | `CONNECT_TARGET` 步骤：打开连接到目标。
    `static int` | `LAYER_PROTOCOL` 步骤：层协议（over tunnel）。
    `static int` | `TUNNEL_PROXY` 步骤：通过代理隧道到其他代理。
    `static int` | `TUNNEL_TARGET` 步骤：通过代理隧道进行目标。
    `static int` | `UNREACHABLE` 表示该路由根本无法建立。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `nextStep(RouteInfo plan, RouteInfo fact)` 提供下一步。

- - ### 字段详细信息

    - #### UNREACHABLE

          static final int UNREACHABLE

      表示该路由根本无法建立。
      另请参见：
        Constant Field Values

    - #### COMPLETE

          static final int COMPLETE

      表示路由完成。
      另请参见：
        Constant Field Values

    - #### CONNECT_TARGET

          static final int CONNECT_TARGET

      步骤：打开连接到目标。
      另请参见：
        Constant Field Values

    - #### CONNECT_PROXY

          static final int CONNECT_PROXY

      步骤：打开连接到代理。
      另请参见：
        Constant Field Values

    - #### TUNNEL_TARGET

          static final int TUNNEL_TARGET

      步骤：通过代理隧道进行目标。
      另请参见：
        Constant Field Values

    - #### TUNNEL_PROXY

          static final int TUNNEL_PROXY

      步骤：通过代理隧道到其他代理。
      另请参见：
        Constant Field Values

    - #### LAYER_PROTOCOL

          static final int LAYER_PROTOCOL

      步骤：层协议（over tunnel）。
      另请参见：
        Constant Field Values

  - ### 方法详细信息

    - #### nextStep

          int nextStep(RouteInfo plan,
                     RouteInfo fact)

      提供下一步。
      参数
        `plan` - 计划路线
        `fact` - 当前建立的路由，或 `null`如果没有建立
      结果
        在此界面中定义的常量之一，指示要执行的下一步骤，或成功或失败。 0是成功的，失败的负值。

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585